package cn.com.ty.lift.push.app;

import cn.hutool.core.date.DateUtil;
import com.tencent.xinge.XingeApp;
import com.tencent.xinge.push.app.PushAppRequest;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;

/**
 * 腾讯信鸽推动 https://xg.qq.com/docs/server_api/v3/push_api_v3.html
 *
 * @author wcz
 * @since 2020/2/10
 */
@Slf4j
public class XingePush {

    private static final String appId     = "40d4e2e854433";
    private static final String secretKey = "fa99dc19157b00fc71cf8d7e840273a3";

    private static final String access = "18571500256";

    public static void main(String[] args) {
        ArrayList<String> account_list = new ArrayList<>();
        account_list.add(access);
        MsgRequest request = MsgRequest.android("天域电梯测试", "测试信鸽消息推送，当前时间: " + DateUtil.now(), account_list);

        pushMessage(request);
    }

    /**
     * 消息推送(单推)
     */
    public static boolean pushMessage(MsgRequest msgRequest) {
        //消息推送（>>>）
        XingeApp xingeApp = new XingeApp(appId, secretKey);
        PushAppRequest pushAppRequest = msgRequest.pushAppRequest();
        if(null == pushAppRequest){
            return false;
        }
        String request = pushAppRequest.toString();
        //推送结果 0是推送成功
        /**
         * {
         * 	"result": "[0]",
         * 	"environment": "product",
         * 	"push_id": "1079290952",
         * 	"err_msg": "",
         * 	"ret_code": 0,
         * 	"seq": 0
         * }
         */
        log.info("信鸽推送消息体: {}", request);
        String ret = xingeApp.pushApp(request).toString();
        log.info("信鸽推送消息返回: {}", ret);
        return true;
    }
}
